Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Server_Strategy_Factory::Active_Object_Map_Creation_Parameters Struct Reference

`#include <Server_Strategy_Factory.h>`

List of all members.

## Public Methods
| Active_Object_Map_Creation_Parameters (void)
## Public Attributes
CORBA::ULong | active_object_map_size_
TAO_Demux_Strategy | object_lookup_strategy_for_user_id_policy_
TAO_Demux_Strategy | object_lookup_strategy_for_system_id_policy_
TAO_Demux_Strategy | reverse_object_lookup_strategy_for_unique_id_policy_
int | use_active_hint_in_ids_
int | allow_reactivation_of_system_ids_
CORBA::ULong | poa_map_size_
TAO_Demux_Strategy | poa_lookup_strategy_for_transient_id_policy_
TAO_Demux_Strategy | poa_lookup_strategy_for_persistent_id_policy_
int | use_active_hint_in_poa_names_

## Constructor & Destructor Documentation

TAO_Server_Strategy_Factory::Active_Object_Map_Creation_Parameters::Active_Object_Map_Creation_Parameters | ( | void |  | ) |

## Member Data Documentation

CORBA::ULong TAO_Server_Strategy_Factory::Active_Object_Map_Creation_Parameters::active_object_map_size_

int TAO_Server_Strategy_Factory::Active_Object_Map_Creation_Parameters::allow_reactivation_of_system_ids_

TAO_Demux_Strategy TAO_Server_Strategy_Factory::Active_Object_Map_Creation_Parameters::object_lookup_strategy_for_system_id_policy_

TAO_Demux_Strategy TAO_Server_Strategy_Factory::Active_Object_Map_Creation_Parameters::object_lookup_strategy_for_user_id_policy_

TAO_Demux_Strategy TAO_Server_Strategy_Factory::Active_Object_Map_Creation_Parameters::poa_lookup_strategy_for_persistent_id_policy_

TAO_Demux_Strategy TAO_Server_Strategy_Factory::Active_Object_Map_Creation_Parameters::poa_lookup_strategy_for_transient_id_policy_

CORBA::ULong TAO_Server_Strategy_Factory::Active_Object_Map_Creation_Parameters::poa_map_size_

TAO_Demux_Strategy TAO_Server_Strategy_Factory::Active_Object_Map_Creation_Parameters::reverse_object_lookup_strategy_for_unique_id_policy_

int TAO_Server_Strategy_Factory::Active_Object_Map_Creation_Parameters::use_active_hint_in_ids_

int TAO_Server_Strategy_Factory::Active_Object_Map_Creation_Parameters::use_active_hint_in_poa_names_

The documentation for this struct was generated from the following files:

- Server_Strategy_Factory.h
- Server_Strategy_Factory.cpp